package cb.jdynamite.analyser;

import cb.jdynamite.ITemplateDocument;


public class ConstantElement implements ITemplateElement {
    private String value;
    
    public ConstantElement(String constant) {
        value = constant;
    }
    
    public String getValue(ITemplateDocument rootDocument) {
        return value;
    }
    
    public String getDefinition(int depth) {
        StringBuffer def = new StringBuffer();
        for (int indent = 0; indent < depth; indent++) {
            def.append("   ");
        }
        def.append("ConstantElement: ");
        def.append(value.replace('\n', ' ')); // Just for presentation
        def.append('\n');
        return def.toString();
    }
}
