package cb.jdynamite.analyser;

import cb.jdynamite.ITemplateDocument;


public class VariableElement implements ITemplateElement {
    private String key;
    
    public VariableElement(String key) {
        this.key = key;
    }
    
    public String getValue(ITemplateDocument rootDocument) {
        return rootDocument.getVariable(key);
    }
    
    public String getDefinition(int depth) {
        StringBuffer def = new StringBuffer();
        for (int indent = 0; indent < depth; indent++) {
            def.append("   ");
        }
        def.append("VariableElement: ");
        def.append(key);
        def.append('\n');
        return def.toString();
    }
}
